comparison configure @ 40777:b7e331012730

added a check for nlist.h
author Sam Steingold <sds@gnu.org>
date Tue, 06 Nov 2001 15:42:06 +0000
parents 39fc5111667c
children 2778a25ac830
comparison
equal deleted inserted replaced
40776:0be004bf832e 40777:b7e331012730
12281 #define REL_ALLOC 1 12281 #define REL_ALLOC 1
12282 EOF 12282 EOF
12283 12283
12284 fi 12284 fi
12285 12285
12286 for ac_header in nlist.h
12287 do
12288 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
12289 echo "$as_me:12289: checking for $ac_header" >&5
12290 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
12291 if eval "test \"\${$as_ac_Header+set}\" = set"; then
12292 echo $ECHO_N "(cached) $ECHO_C" >&6
12293 else
12294 cat >conftest.$ac_ext <<_ACEOF
12295 #line 12295 "configure"
12296 #include "confdefs.h"
12297 #include <$ac_header>
12298 _ACEOF
12299 if { (eval echo "$as_me:12299: \"$ac_cpp conftest.$ac_ext\"") >&5
12300 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
12301 ac_status=$?
12302 egrep -v '^ *\+' conftest.er1 >conftest.err
12303 rm -f conftest.er1
12304 cat conftest.err >&5
12305 echo "$as_me:12305: \$? = $ac_status" >&5
12306 (exit $ac_status); } >/dev/null; then
12307 if test -s conftest.err; then
12308 ac_cpp_err=$ac_c_preproc_warn_flag
12309 else
12310 ac_cpp_err=
12311 fi
12312 else
12313 ac_cpp_err=yes
12314 fi
12315 if test -z "$ac_cpp_err"; then
12316 eval "$as_ac_Header=yes"
12317 else
12318 echo "$as_me: failed program was:" >&5
12319 cat conftest.$ac_ext >&5
12320 eval "$as_ac_Header=no"
12321 fi
12322 rm -f conftest.err conftest.$ac_ext
12323 fi
12324 echo "$as_me:12324: result: `eval echo '${'$as_ac_Header'}'`" >&5
12325 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
12326 if test `eval echo '${'$as_ac_Header'}'` = yes; then
12327 cat >>confdefs.h <<EOF
12328 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
12329 EOF
12330
12331 cat >>confdefs.h <<\EOF
12332 #define NLIST_STRUCT 1
12333 EOF
12334
12335 fi
12336 done
12337
12286 #### Report on what we decided to do. 12338 #### Report on what we decided to do.
12287 echo " 12339 echo "
12288 Configured for \`${canonical}'. 12340 Configured for \`${canonical}'.
12289 12341
12290 Where should the build process find the source code? ${srcdir} 12342 Where should the build process find the source code? ${srcdir}
12327 ## CPP_NEED_TRADITIONAL to `yes' so that the code to generate Makefile 12379 ## CPP_NEED_TRADITIONAL to `yes' so that the code to generate Makefile
12328 ## from Makefile.c can correctly provide the arg `-traditional' to the 12380 ## from Makefile.c can correctly provide the arg `-traditional' to the
12329 ## C preprocessor. 12381 ## C preprocessor.
12330 12382
12331 cat >conftest.$ac_ext <<_ACEOF 12383 cat >conftest.$ac_ext <<_ACEOF
12332 #line 12332 "configure" 12384 #line 12384 "configure"
12333 #include "confdefs.h" 12385 #include "confdefs.h"
12334 yes..yes 12386 yes..yes
12335 _ACEOF 12387 _ACEOF
12336 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 | 12388 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
12337 egrep "yes..yes" >/dev/null 2>&1; then 12389 egrep "yes..yes" >/dev/null 2>&1; then
12420 DEFS=-DHAVE_CONFIG_H 12472 DEFS=-DHAVE_CONFIG_H
12421 12473
12422 : ${CONFIG_STATUS=./config.status} 12474 : ${CONFIG_STATUS=./config.status}
12423 ac_clean_files_save=$ac_clean_files 12475 ac_clean_files_save=$ac_clean_files
12424 ac_clean_files="$ac_clean_files $CONFIG_STATUS" 12476 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
12425 { echo "$as_me:12425: creating $CONFIG_STATUS" >&5 12477 { echo "$as_me:12477: creating $CONFIG_STATUS" >&5
12426 echo "$as_me: creating $CONFIG_STATUS" >&6;} 12478 echo "$as_me: creating $CONFIG_STATUS" >&6;}
12427 cat >$CONFIG_STATUS <<_ACEOF 12479 cat >$CONFIG_STATUS <<_ACEOF
12428 #! $SHELL 12480 #! $SHELL
12429 # Generated automatically by configure. 12481 # Generated automatically by configure.
12430 # Run this file to recreate the current configuration. 12482 # Run this file to recreate the current configuration.
12596 cat >>$CONFIG_STATUS <<\EOF 12648 cat >>$CONFIG_STATUS <<\EOF
12597 --version | --vers* | -V ) 12649 --version | --vers* | -V )
12598 echo "$ac_cs_version"; exit 0 ;; 12650 echo "$ac_cs_version"; exit 0 ;;
12599 --he | --h) 12651 --he | --h)
12600 # Conflict between --help and --header 12652 # Conflict between --help and --header
12601 { { echo "$as_me:12601: error: ambiguous option: $1 12653 { { echo "$as_me:12653: error: ambiguous option: $1
12602 Try \`$0 --help' for more information." >&5 12654 Try \`$0 --help' for more information." >&5
12603 echo "$as_me: error: ambiguous option: $1 12655 echo "$as_me: error: ambiguous option: $1
12604 Try \`$0 --help' for more information." >&2;} 12656 Try \`$0 --help' for more information." >&2;}
12605 { (exit 1); exit 1; }; };; 12657 { (exit 1); exit 1; }; };;
12606 --help | --hel | -h ) 12658 --help | --hel | -h )
12615 shift 12667 shift
12616 CONFIG_HEADERS="$CONFIG_HEADERS $1" 12668 CONFIG_HEADERS="$CONFIG_HEADERS $1"
12617 ac_need_defaults=false;; 12669 ac_need_defaults=false;;
12618 12670
12619 # This is an error. 12671 # This is an error.
12620 -*) { { echo "$as_me:12620: error: unrecognized option: $1 12672 -*) { { echo "$as_me:12672: error: unrecognized option: $1
12621 Try \`$0 --help' for more information." >&5 12673 Try \`$0 --help' for more information." >&5
12622 echo "$as_me: error: unrecognized option: $1 12674 echo "$as_me: error: unrecognized option: $1
12623 Try \`$0 --help' for more information." >&2;} 12675 Try \`$0 --help' for more information." >&2;}
12624 { (exit 1); exit 1; }; } ;; 12676 { (exit 1); exit 1; }; } ;;
12625 12677
12669 "src/Makefile.c" ) CONFIG_FILES="$CONFIG_FILES src/Makefile.c:src/Makefile.in" ;; 12721 "src/Makefile.c" ) CONFIG_FILES="$CONFIG_FILES src/Makefile.c:src/Makefile.in" ;;
12670 "lisp/Makefile" ) CONFIG_FILES="$CONFIG_FILES lisp/Makefile" ;; 12722 "lisp/Makefile" ) CONFIG_FILES="$CONFIG_FILES lisp/Makefile" ;;
12671 "leim/Makefile" ) CONFIG_FILES="$CONFIG_FILES leim/Makefile" ;; 12723 "leim/Makefile" ) CONFIG_FILES="$CONFIG_FILES leim/Makefile" ;;
12672 "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;; 12724 "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
12673 "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h:src/config.in" ;; 12725 "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h:src/config.in" ;;
12674 *) { { echo "$as_me:12674: error: invalid argument: $ac_config_target" >&5 12726 *) { { echo "$as_me:12726: error: invalid argument: $ac_config_target" >&5
12675 echo "$as_me: error: invalid argument: $ac_config_target" >&2;} 12727 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
12676 { (exit 1); exit 1; }; };; 12728 { (exit 1); exit 1; }; };;
12677 esac 12729 esac
12678 done 12730 done
12679 12731
12916 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;; 12968 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
12917 *) ac_INSTALL=$ac_dots$INSTALL ;; 12969 *) ac_INSTALL=$ac_dots$INSTALL ;;
12918 esac 12970 esac
12919 12971
12920 if test x"$ac_file" != x-; then 12972 if test x"$ac_file" != x-; then
12921 { echo "$as_me:12921: creating $ac_file" >&5 12973 { echo "$as_me:12973: creating $ac_file" >&5
12922 echo "$as_me: creating $ac_file" >&6;} 12974 echo "$as_me: creating $ac_file" >&6;}
12923 rm -f "$ac_file" 12975 rm -f "$ac_file"
12924 fi 12976 fi
12925 # Let's still pretend it is `configure' which instantiates (i.e., don't 12977 # Let's still pretend it is `configure' which instantiates (i.e., don't
12926 # use $as_me), people would be surprised to read: 12978 # use $as_me), people would be surprised to read:
12934 for f in $ac_file_in; do 12986 for f in $ac_file_in; do
12935 case $f in 12987 case $f in
12936 -) echo $tmp/stdin ;; 12988 -) echo $tmp/stdin ;;
12937 [\\/$]*) 12989 [\\/$]*)
12938 # Absolute (can't be DOS-style, as IFS=:) 12990 # Absolute (can't be DOS-style, as IFS=:)
12939 test -f "$f" || { { echo "$as_me:12939: error: cannot find input file: $f" >&5 12991 test -f "$f" || { { echo "$as_me:12991: error: cannot find input file: $f" >&5
12940 echo "$as_me: error: cannot find input file: $f" >&2;} 12992 echo "$as_me: error: cannot find input file: $f" >&2;}
12941 { (exit 1); exit 1; }; } 12993 { (exit 1); exit 1; }; }
12942 echo $f;; 12994 echo $f;;
12943 *) # Relative 12995 *) # Relative
12944 if test -f "$f"; then 12996 if test -f "$f"; then
12947 elif test -f "$srcdir/$f"; then 12999 elif test -f "$srcdir/$f"; then
12948 # Source tree 13000 # Source tree
12949 echo $srcdir/$f 13001 echo $srcdir/$f
12950 else 13002 else
12951 # /dev/null tree 13003 # /dev/null tree
12952 { { echo "$as_me:12952: error: cannot find input file: $f" >&5 13004 { { echo "$as_me:13004: error: cannot find input file: $f" >&5
12953 echo "$as_me: error: cannot find input file: $f" >&2;} 13005 echo "$as_me: error: cannot find input file: $f" >&2;}
12954 { (exit 1); exit 1; }; } 13006 { (exit 1); exit 1; }; }
12955 fi;; 13007 fi;;
12956 esac 13008 esac
12957 done` || { (exit 1); exit 1; } 13009 done` || { (exit 1); exit 1; }
13008 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'` 13060 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
13009 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;; 13061 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
13010 * ) ac_file_in=$ac_file.in ;; 13062 * ) ac_file_in=$ac_file.in ;;
13011 esac 13063 esac
13012 13064
13013 test x"$ac_file" != x- && { echo "$as_me:13013: creating $ac_file" >&5 13065 test x"$ac_file" != x- && { echo "$as_me:13065: creating $ac_file" >&5
13014 echo "$as_me: creating $ac_file" >&6;} 13066 echo "$as_me: creating $ac_file" >&6;}
13015 13067
13016 # First look for the input files in the build tree, otherwise in the 13068 # First look for the input files in the build tree, otherwise in the
13017 # src tree. 13069 # src tree.
13018 ac_file_inputs=`IFS=: 13070 ac_file_inputs=`IFS=:
13019 for f in $ac_file_in; do 13071 for f in $ac_file_in; do
13020 case $f in 13072 case $f in
13021 -) echo $tmp/stdin ;; 13073 -) echo $tmp/stdin ;;
13022 [\\/$]*) 13074 [\\/$]*)
13023 # Absolute (can't be DOS-style, as IFS=:) 13075 # Absolute (can't be DOS-style, as IFS=:)
13024 test -f "$f" || { { echo "$as_me:13024: error: cannot find input file: $f" >&5 13076 test -f "$f" || { { echo "$as_me:13076: error: cannot find input file: $f" >&5
13025 echo "$as_me: error: cannot find input file: $f" >&2;} 13077 echo "$as_me: error: cannot find input file: $f" >&2;}
13026 { (exit 1); exit 1; }; } 13078 { (exit 1); exit 1; }; }
13027 echo $f;; 13079 echo $f;;
13028 *) # Relative 13080 *) # Relative
13029 if test -f "$f"; then 13081 if test -f "$f"; then
13032 elif test -f "$srcdir/$f"; then 13084 elif test -f "$srcdir/$f"; then
13033 # Source tree 13085 # Source tree
13034 echo $srcdir/$f 13086 echo $srcdir/$f
13035 else 13087 else
13036 # /dev/null tree 13088 # /dev/null tree
13037 { { echo "$as_me:13037: error: cannot find input file: $f" >&5 13089 { { echo "$as_me:13089: error: cannot find input file: $f" >&5
13038 echo "$as_me: error: cannot find input file: $f" >&2;} 13090 echo "$as_me: error: cannot find input file: $f" >&2;}
13039 { (exit 1); exit 1; }; } 13091 { (exit 1); exit 1; }; }
13040 fi;; 13092 fi;;
13041 esac 13093 esac
13042 done` || { (exit 1); exit 1; } 13094 done` || { (exit 1); exit 1; }
13149 fi 13201 fi
13150 cat $tmp/in >>$tmp/config.h 13202 cat $tmp/in >>$tmp/config.h
13151 rm -f $tmp/in 13203 rm -f $tmp/in
13152 if test x"$ac_file" != x-; then 13204 if test x"$ac_file" != x-; then
13153 if cmp -s $ac_file $tmp/config.h 2>/dev/null; then 13205 if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
13154 { echo "$as_me:13154: $ac_file is unchanged" >&5 13206 { echo "$as_me:13206: $ac_file is unchanged" >&5
13155 echo "$as_me: $ac_file is unchanged" >&6;} 13207 echo "$as_me: $ac_file is unchanged" >&6;}
13156 else 13208 else
13157 ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ 13209 ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
13158 X"$ac_file" : 'X\(//\)[^/]' \| \ 13210 X"$ac_file" : 'X\(//\)[^/]' \| \
13159 X"$ac_file" : 'X\(//\)$' \| \ 13211 X"$ac_file" : 'X\(//\)$' \| \